/**
 * WordPress dependencies
 */
import { useSelect } from '@wordpress/data';
import { store as coreStore } from '@wordpress/core-data';

/**
 * Internal dependencies
 */
import { jsx as _jsx } from "react/jsx-runtime";
export const FeaturedImageView = ({
  item
}) => {
  const mediaId = item.featured_media;
  const media = useSelect(select => {
    const {
      getEntityRecord
    } = select(coreStore);
    return mediaId ? getEntityRecord('root', 'media', mediaId) : null;
  }, [mediaId]);
  const url = media?.source_url;
  if (url) {
    return /*#__PURE__*/_jsx("img", {
      className: "fields-controls__featured-image-image",
      src: url,
      alt: ""
    });
  }
  return /*#__PURE__*/_jsx("span", {
    className: "fields-controls__featured-image-placeholder"
  });
};
//# sourceMappingURL=featured-image-view.js.map