/**
 * WordPress dependencies
 */

import { __ } from '@wordpress/i18n';

/**
 * Internal dependencies
 */

import StatusView from './status-view';
import STATUSES from './status-elements';
const OPERATOR_IS_ANY = 'isAny';
const statusField = {
  label: __('Status'),
  id: 'status',
  type: 'text',
  elements: STATUSES,
  render: StatusView,
  Edit: 'radio',
  enableSorting: false,
  filterBy: {
    operators: [OPERATOR_IS_ANY]
  }
};

/**
 * Status field for BasePost.
 */
export default statusField;
//# sourceMappingURL=index.js.map