"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _i18n = require("@wordpress/i18n");
var _authorView = _interopRequireDefault(require("./author-view"));
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const authorField = {
  label: (0, _i18n.__)('Author'),
  id: 'author',
  type: 'integer',
  elements: [],
  render: _authorView.default,
  sort: (a, b, direction) => {
    const nameA = a._embedded?.author?.[0]?.name || '';
    const nameB = b._embedded?.author?.[0]?.name || '';
    return direction === 'asc' ? nameA.localeCompare(nameB) : nameB.localeCompare(nameA);
  }
};

/**
 * Author field for BasePost.
 */
var _default = exports.default = authorField;
//# sourceMappingURL=index.js.map