"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _i18n = require("@wordpress/i18n");
var _utils = require("../../actions/utils");
var _view = _interopRequireDefault(require("./view"));
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const titleField = {
  type: 'text',
  id: 'title',
  label: (0, _i18n.__)('Title'),
  placeholder: (0, _i18n.__)('No title'),
  getValue: ({
    item
  }) => (0, _utils.getItemTitle)(item),
  render: _view.default,
  enableHiding: false,
  enableGlobalSearch: true
};

/**
 * Title for the any entity with a `title` property.
 * For patterns, pages or templates you should use the respective field
 * because there are some differences in the rendering, labels, etc.
 */
var _default = exports.default = titleField;
//# sourceMappingURL=index.js.map